Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce.cert
Class CertStoreException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.security.GeneralSecurityException
                        |
                        +--org.bouncycastle.jce.cert.CertStoreException

All Implemented Interfaces:
  java.io.Serializable

public class CertStoreException
extends java.security.GeneralSecurityException

An exception indicating one of a variety of problems retrieving certificates and CRLs from a `CertStore`.
A `CertStoreException` provides support for wrapping exceptions. The `getCause` method returns the throwable, if any, that caused this exception to be thrown.
Concurrent Access
Unless otherwise specified, the methods defined in this class are not thread-safe. Multiple threads that need to access a single object concurrently should synchronize amongst themselves and provide the necessary locking. Multiple threads each manipulating separate objects need not synchronize.

See Also:
  `CertStore`, Serialized Form

Constructor Summary
`CertStoreException()` Creates a `CertStoreException` with `null` as its detail message.
`CertStoreException(java.lang.String message)` Creates a `CertStoreException` with the given detail message.
`CertStoreException(java.lang.String message, java.lang.Throwable cause)` Creates a `CertStoreException` with the specified detail message and cause.
`CertStoreException(java.lang.Throwable cause)` Creates a `CertStoreException` that wraps the specified throwable.

Method Summary
`java.lang.Throwable` | `getCause()` Returns the cause of this `CertStoreException` or `null` if the cause is nonexistent or unknown.
`java.lang.String` | `getMessage()` Returns the detail message for this `CertStoreException`.
`void` | `printStackTrace()` Prints a stack trace to `System.err`, including the backtrace of the cause, if any.
`void` | `printStackTrace(java.io.PrintStream ps)` Prints a stack trace to a `PrintStream`, including the backtrace of the cause, if any.
`void` | `printStackTrace(java.io.PrintWriter pw)` Prints a stack trace to a `PrintWriter`, including the backtrace of the cause, if any.
`java.lang.String` | `toString()` Returns a string describing this exception, including a description of the internal (wrapped) cause if there is one.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CertStoreException

    public CertStoreException()

  Creates a `CertStoreException` with `null` as its detail message.

### CertStoreException

    public CertStoreException(java.lang.String message)

  Creates a `CertStoreException` with the given detail message. A detail message is a `String` that describes this particular exception.
  Parameters:
    `messag` - the detail message

### CertStoreException

    public CertStoreException(java.lang.String message,
                              java.lang.Throwable cause)

  Creates a `CertStoreException` with the specified detail message and cause.
  Parameters:
    `messag` - the detail message
    `cause` - the cause (which is saved for later retrieval by the `getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)

### CertStoreException

    public CertStoreException(java.lang.Throwable cause)

  Creates a `CertStoreException` that wraps the specified throwable. This allows any exception to be converted into a `CertStoreException`, while retaining information about the cause, which may be useful for debugging. The detail message is set to (`cause==null ? null : cause.toString()`) (which typically contains the class and detail message of cause).
  Parameters:
    `cause` - the cause (which is saved for later retrieval by the `getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)

Method Detail

### getMessage

    public java.lang.String getMessage()

  Returns the detail message for this `CertStoreException`.
  Overrides:
    `getMessage` in class `java.lang.Throwable`
  Returns:
    the detail message, or `null` if neither the message nor cause were specified

### getCause

    public java.lang.Throwable getCause()

  Returns the cause of this `CertStoreException` or `null` if the cause is nonexistent or unknown.
  Returns:
    the cause of this throwable or `null` if the cause is nonexistent or unknown.

### toString

    public java.lang.String toString()

  Returns a string describing this exception, including a description of the internal (wrapped) cause if there is one.
  Overrides:
    `toString` in class `java.lang.Throwable`
  Returns:
    a string representation of this `CertStoreException`

### printStackTrace

    public void printStackTrace()

  Prints a stack trace to `System.err`, including the backtrace of the cause, if any.
  Overrides:
    `printStackTrace` in class `java.lang.Throwable`

### printStackTrace

    public void printStackTrace(java.io.PrintStream ps)

  Prints a stack trace to a `PrintStream`, including the backtrace of the cause, if any.
  Overrides:
    `printStackTrace` in class `java.lang.Throwable`
  Parameters:
    `ps` - the `PrintStream` to use for output

### printStackTrace

    public void printStackTrace(java.io.PrintWriter pw)

  Prints a stack trace to a `PrintWriter`, including the backtrace of the cause, if any.
  Overrides:
    `printStackTrace` in class `java.lang.Throwable`
  Parameters:
    `pw` - the `PrintWriter` to use for output

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD